<?
if(isset($_GET['myzavod']) && isset($_GET['sellz']) && intval($_GET['sellz'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_zavod` WHERE `id` = '".intval($_GET['sellz'])."' AND `id_user` = '$ku[id]' AND `id_pet` != '0'"),0)!=0)
{
$zavod=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_zavod` WHERE `id` = '".intval($_GET['sellz'])."' AND `id_user` = '$ku[id]'"),0);
$zav=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_zav` WHERE `id` = '$zavod[id_pet]'"));
$d_money=floor($zavod['time_money2']/(4*3600));
if($d_money>0)
{
$nt=$zavod['time_money2']-($d_money*14400);
$count=1;
$count_sellz_act=0;
$count_vet_act=0;
if(isset($sellz_act))$count_sellz_act=($count/100)*$sellz_act;
if(isset($vet_act))$count_vet_act=($count/100)*$vet_ps_m;
$count=$count_sellz_act+$count_vet_act+$count;

$money=($count*$zav['money'])*$d_money;
mysql_query("UPDATE `kolhoz_zavod` SET `time_money` = '$time', `time_money2` = '$nt' WHERE `id` = '$zavod[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$money)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '$money' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($money/100)*$mc['nalog']);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$money-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
mysql_query("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
}
}
header("Location:?myzavod&".passgen());
exit;
}
?>